slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNSetUp

Sets up all the internal data structures necessary for the execution of the matrix function solver.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetUp(MFN mfn)

Collective

### Input Parameter

| mfn | - matrix function context

### Notes

This function need not be called explicitly in most cases, since MFNSolve() calls it. It can be useful when one wants to measure the set-up time separately from the solve time.

### See Also

MFNCreate(), MFNSolve(), MFNDestroy()

### Level

developer

### Location

src/mfn/interface/mfnsetup.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages